Bug 426343 (CVE-2007-6336) - CVE-2007-6336 clamav: off-by-one in the MS-ZIP decompression code
Summary: CVE-2007-6336 clamav: off-by-one in the MS-ZIP decompression code
Status: CLOSED ERRATA
Alias: CVE-2007-6336
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=vendorsec,reported=200712120,p...
Keywords: Security
Depends On: 426211 426212 426213
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-20 09:01 UTC by Tomas Hoger
Modified: 2016-03-04 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 19:25:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2007-12-20 09:01:28 UTC
Debian security advisory DSA-1435-1 annouces fix for following issue:

# CVE-2007-6336
It was discovered that on off-by-one in the MS-ZIP decompression code may lead
to the execution of arbitrary code.

http://www.debian.org/security/2007/dsa-1435

Patch for the issue is available in the Gentoo Bugzilla:
https://bugs.gentoo.org/show_bug.cgi?id=202762#c4

and is included in upstream version 0.92.

Comment 1 Red Hat Product Security 2008-01-22 19:25:20 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-0170
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-0115




Note You need to log in before you can comment on or make changes to this bug.